Campaigns
List campaigns
Return campaigns owned by your workspace, newest first, with offset-based pagination and an optional status filter.
GET
/
campaigns
List campaigns
curl --request GET \
--url https://api.verbeo.ai/v1/campaigns \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.verbeo.ai/v1/campaigns"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.verbeo.ai/v1/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.verbeo.ai/v1/campaigns",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.verbeo.ai/v1/campaigns"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.verbeo.ai/v1/campaigns")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.verbeo.ai/v1/campaigns")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyQuery parameters
number
default:"20"
Page size, between
1 and 100.number
default:"0"
Number of records to skip. Use the value of
pagination.next_cursor from the previous response.string
Restrict the response to campaigns in a single status:
draft, scheduled, running, dormant, paused, completed, or cancelled.Request
curl "https://api.verbeo.ai/v1/campaigns?limit=20&status=running" \
-H "Authorization: Bearer YOUR_API_KEY"
const res = await fetch(
"https://api.verbeo.ai/v1/campaigns?limit=20&status=running",
{ headers: { Authorization: `Bearer ${process.env.VERBEO_API_KEY}` } },
);
const { data, pagination } = await res.json();
import os, requests
res = requests.get(
"https://api.verbeo.ai/v1/campaigns",
params={"limit": 20, "status": "running"},
headers={"Authorization": f"Bearer {os.environ['VERBEO_API_KEY']}"},
)
body = res.json()
campaigns = body["data"]
Response
200 OK. The response uses the standard envelope plus pagination — see Responses.
{
"success": true,
"data": [
{
"id": "0175091d-2c3b-4aef-8c45-dbbe24f7b3ff",
"campaign_name": "Q2 Sales Outreach",
"status": "running",
"total_contacts": 250,
"completed_calls": 41,
"successful_calls": 38,
"failed_calls": 3,
"scheduled_at": null,
"started_at": "2026-05-04T15:00:00.000Z",
"completed_at": null,
"business_hours": null,
"created_at": "2026-05-04T14:55:12.000Z",
"updated_at": "2026-05-04T15:00:00.000Z"
}
],
"pagination": { "total": 42, "count": 1, "next_cursor": "20" }
}
Errors
See Errors for the standard envelope and global codes. This endpoint does not produce campaign-specific codes.Was this page helpful?
⌘I
List campaigns
curl --request GET \
--url https://api.verbeo.ai/v1/campaigns \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.verbeo.ai/v1/campaigns"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.verbeo.ai/v1/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.verbeo.ai/v1/campaigns",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.verbeo.ai/v1/campaigns"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.verbeo.ai/v1/campaigns")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.verbeo.ai/v1/campaigns")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body